
# This .spec file is for a Fedora type of install
%define name		xtermsu
%define version		0.6

# ---------------------------------------------------

Prefix:			/

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

# bindir should really be /usr/bin (not /bin) 
%define bindir		%{prefix}/usr/bin

%define datadir		%{prefix}/usr/share
%define sysconfdir	%{prefix}/etc
%define localstatedir	%{prefix}/var
%define mandir		%{prefix}/usr/share/man


# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!
%define doc		%{datadir}/%{name}
%define docdir		%{datadir}/%{name}/doc

%define pixmaps %{datadir}/pixmaps
%define pixmapsdir %{datadir}/pixmaps/%{name}

%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname	%{name}-%{version}
%define sdir	$RPM_BUILD_DIR/%{name}-%{version}

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     	  A simple xterm frontend for the su command 

Group:       	  Applications/System   
License:        GPL
Packager:       David M. Balean  <linprogs@balean.net>
Vendor:		      David M. Balean  <linprogs@balean.net>
URL:		        http://www.balean.net
Requires:       xterm
BuildRoot:      %{_tmppath}/%{sname}
Source:		      %{sname}.tar.gz

%description
Opens an xterm window to obtain root's password from the user
so that a command can be executed as root. The user is allowed
three attempts. Requires xterm.
%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/Makefile %{sdir}/Makefile.in
rm -rf %{sdir}/src/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/xtermsu.1

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)

# %dir %{localstatedir}/run
# %dir %{localstatedir}/log

%dir %{doc}
#%dir %{docdir}
#%dir %{pixmaps}
#%dir %{pixmapsdir}

# %dir %{docdir}/files
# %dir %{sysconfdir}

%dir %{mandir}
%dir %{mandir}/man1

%defattr(-,root,root,-)

%{mandir}/man1/xtermsu.1.gz

# Looks like this has to be it...
%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/COPYING
%{doc}/NEWS
%{doc}/README
%{doc}/TODO
%{doc}/INSTALL

%defattr(0711,root,root,-)
%{bindir}/xtermsu



# %changelog
